<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:40 CET 2016 -->
<title>DefaultsData.Builder (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DefaultsData.Builder (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DocumentsData.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" target="_top">Frames</a></li>
<li><a href="DefaultsData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema</div>
<h2 title="Class DefaultsData.Builder" class="title">Class DefaultsData.Builder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema.DefaultsData.Builder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">DefaultsData.Builder</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Class builder</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>plujan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#Builder--">Builder</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#accountingSchema-java.lang.String-">accountingSchema</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the accountingSchema value
 
 Description: The structure used in accounting including costing methods currencies and the
 calendar.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#accumulatedDepreciation-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">accumulatedDepreciation</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the accumulatedDepreciation value
 
 Description: Accumulated Depreciation</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#bankAsset-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">bankAsset</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the bankAsset value
 
 Description: Bank Asset Account</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#bankExpense-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">bankExpense</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the bankExpense value
 
 Description: Bank Expense Account</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#bankInTransit-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">bankInTransit</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the bankInTransit value
 
 Description: Bank In Transit Account</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#bankRevaluationGain-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">bankRevaluationGain</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the bankRevaluationGain value
 
 Description: Bank Revaluation Gain Account</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#bankRevaluationLoss-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">bankRevaluationLoss</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the bankRevaluationLoss value
 
 Description: Bank Revaluation Loss Account</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#build--">build</a></span>()</code>
<div class="block">Build the data object.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#cashBookAsset-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">cashBookAsset</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the cashBookAsset value
 
 Description: Cash Book Asset Account</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#cashBookDifferences-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">cashBookDifferences</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the cashBookDifferences value
 
 Description: Cash Book Differences Account</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#cashBookExpense-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">cashBookExpense</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the cashBookExpense value
 
 Description: Cash Book Expense Account</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#cashBookReceipt-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">cashBookReceipt</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the cashBookReceipt value
 
 Description: Cash Book Receipts Account</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#cashTransfer-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">cashTransfer</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the cashTransfer value
 
 Description: Cash Transfer Clearing Account</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#chargeExpense-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">chargeExpense</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the chargeExpense value
 
 Description: Charge Expense Account</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#customerPrepayment-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">customerPrepayment</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the customerPrepayment value
 
 Description: x not implemented</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#customerReceivablesNo-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">customerReceivablesNo</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the customerReceivablesNo value
 
 Description: An account number in the general ledger to mark transactions with a business
 partner.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#depreciation-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">depreciation</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the depreciation value
 
 Description: Depreciation account</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#fixedAsset-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">fixedAsset</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the fixedAsset value
 
 Description: A tangible asset used for business without expectation of sale in the coming
 fiscal year.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#inventoryRevaluation-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">inventoryRevaluation</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the inventoryRevaluation value
 
 Description: Account for Inventory Revaluation</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#invoicePriceVariance-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">invoicePriceVariance</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the invoicePriceVariance value
 
 Description: The Invoice Price Variance is used reflects the difference between the current
 Costs and the Invoice Price.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#nonInvoicedReceipts-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">nonInvoicedReceipts</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the nonInvoicedReceipts value
 
 Description: Account for not-invoiced Material Receipts</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#organization-java.lang.String-">organization</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#productCOGS-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">productCOGS</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the productCOGS value
 
 Description: The cost of goods sold for a specified product.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#productExpense-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">productExpense</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the productExpense value
 
 Description: An account number in the general ledger to mark transactions with this item.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#productRevenue-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">productRevenue</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the productRevenue value
 
 Description: An account number in the general ledger to mark transactions with this product.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#taxCredit-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">taxCredit</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the taxCredit value
 
 Description: Account for Tax you can reclaim</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#taxDue-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">taxDue</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the taxDue value
 
 Description: Account for Tax you have to pay</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#vendorLiability-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">vendorLiability</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the vendorLiability value
 
 Description: An account number in the general ledger used to mark transactions with this
 business partner.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#vendorPrepayment-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">vendorPrepayment</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the vendorPrepayment value
 
 Description: An account number in the general ledger used to mark transactions with this
 business partner.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#warehouseDifferences-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">warehouseDifferences</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the warehouseDifferences value
 
 Description: Warehouse Differences Account</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#warehouseInventory-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">warehouseInventory</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the warehouseInventory value
 
 Description: Warehouse Inventory Asset Account</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#workInProgress-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">workInProgress</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the workInProgress value
 
 Description: An account used in production projects until it becomes defined as a finished
 good.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html#writeOff-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">writeOff</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</code>
<div class="block">Set the writeOff value
 
 Description: Account for Receivables write-off</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Builder--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Builder</h4>
<pre>public&nbsp;Builder()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="organization-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>organization</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;organization(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The organization value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="accountingSchema-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>accountingSchema</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;accountingSchema(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the accountingSchema value
 
 Description: The structure used in accounting including costing methods currencies and the
 calendar.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The accountingSchema value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="customerPrepayment-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>customerPrepayment</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;customerPrepayment(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the customerPrepayment value
 
 Description: x not implemented</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The customerPrepayment value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="customerReceivablesNo-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>customerReceivablesNo</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;customerReceivablesNo(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the customerReceivablesNo value
 
 Description: An account number in the general ledger to mark transactions with a business
 partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The customerReceivablesNo value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="fixedAsset-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fixedAsset</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;fixedAsset(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the fixedAsset value
 
 Description: A tangible asset used for business without expectation of sale in the coming
 fiscal year.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The fixedAsset value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="productCOGS-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>productCOGS</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;productCOGS(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the productCOGS value
 
 Description: The cost of goods sold for a specified product.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The productCOGS value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="productExpense-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>productExpense</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;productExpense(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the productExpense value
 
 Description: An account number in the general ledger to mark transactions with this item.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The productExpense value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="productRevenue-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>productRevenue</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;productRevenue(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the productRevenue value
 
 Description: An account number in the general ledger to mark transactions with this product.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The productRevenue value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="vendorLiability-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>vendorLiability</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;vendorLiability(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the vendorLiability value
 
 Description: An account number in the general ledger used to mark transactions with this
 business partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The vendorLiability value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="vendorPrepayment-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>vendorPrepayment</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;vendorPrepayment(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the vendorPrepayment value
 
 Description: An account number in the general ledger used to mark transactions with this
 business partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The vendorPrepayment value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="warehouseDifferences-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>warehouseDifferences</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;warehouseDifferences(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the warehouseDifferences value
 
 Description: Warehouse Differences Account</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The warehouseDifferences value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="warehouseInventory-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>warehouseInventory</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;warehouseInventory(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the warehouseInventory value
 
 Description: Warehouse Inventory Asset Account</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The warehouseInventory value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="nonInvoicedReceipts-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nonInvoicedReceipts</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;nonInvoicedReceipts(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the nonInvoicedReceipts value
 
 Description: Account for not-invoiced Material Receipts</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The nonInvoicedReceipts value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="inventoryRevaluation-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inventoryRevaluation</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;inventoryRevaluation(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the inventoryRevaluation value
 
 Description: Account for Inventory Revaluation</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The inventoryRevaluation value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="writeOff-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeOff</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;writeOff(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the writeOff value
 
 Description: Account for Receivables write-off</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The writeOff value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="workInProgress-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>workInProgress</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;workInProgress(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the workInProgress value
 
 Description: An account used in production projects until it becomes defined as a finished
 good.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The workInProgress value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="taxDue-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>taxDue</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;taxDue(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the taxDue value
 
 Description: Account for Tax you have to pay</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The taxDue value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="taxCredit-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>taxCredit</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;taxCredit(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the taxCredit value
 
 Description: Account for Tax you can reclaim</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The taxCredit value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="bankInTransit-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bankInTransit</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;bankInTransit(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the bankInTransit value
 
 Description: Bank In Transit Account</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The bankInTransit value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="bankAsset-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bankAsset</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;bankAsset(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the bankAsset value
 
 Description: Bank Asset Account</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The bankAsset value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="bankExpense-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bankExpense</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;bankExpense(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the bankExpense value
 
 Description: Bank Expense Account</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The bankExpense value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="bankRevaluationGain-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bankRevaluationGain</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;bankRevaluationGain(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the bankRevaluationGain value
 
 Description: Bank Revaluation Gain Account</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The bankRevaluationGain value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="bankRevaluationLoss-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bankRevaluationLoss</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;bankRevaluationLoss(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the bankRevaluationLoss value
 
 Description: Bank Revaluation Loss Account</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The bankRevaluationLoss value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="chargeExpense-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>chargeExpense</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;chargeExpense(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the chargeExpense value
 
 Description: Charge Expense Account</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The chargeExpense value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="cashBookAsset-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cashBookAsset</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;cashBookAsset(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the cashBookAsset value
 
 Description: Cash Book Asset Account</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The cashBookAsset value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="cashBookDifferences-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cashBookDifferences</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;cashBookDifferences(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the cashBookDifferences value
 
 Description: Cash Book Differences Account</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The cashBookDifferences value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="cashBookExpense-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cashBookExpense</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;cashBookExpense(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the cashBookExpense value
 
 Description: Cash Book Expense Account</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The cashBookExpense value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="cashBookReceipt-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cashBookReceipt</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;cashBookReceipt(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the cashBookReceipt value
 
 Description: Cash Book Receipts Account</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The cashBookReceipt value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="invoicePriceVariance-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>invoicePriceVariance</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;invoicePriceVariance(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the invoicePriceVariance value
 
 Description: The Invoice Price Variance is used reflects the difference between the current
 Costs and the Invoice Price.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The invoicePriceVariance value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="cashTransfer-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cashTransfer</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;cashTransfer(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the cashTransfer value
 
 Description: Cash Transfer Clearing Account</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The cashTransfer value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="accumulatedDepreciation-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>accumulatedDepreciation</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;accumulatedDepreciation(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the accumulatedDepreciation value
 
 Description: Accumulated Depreciation</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The accumulatedDepreciation value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="depreciation-com.openbravo.test.integration.erp.data.selectors.AccountSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>depreciation</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData.Builder</a>&nbsp;depreciation(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/AccountSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">AccountSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the depreciation value
 
 Description: Depreciation account</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The depreciation value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="build--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>build</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema">DefaultsData</a>&nbsp;build()</pre>
<div class="block">Build the data object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The data object</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DocumentsData.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.accountingschema"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?com/openbravo/test/integration/erp/data/financial/accounting/setup/accountingschema/DefaultsData.Builder.html" target="_top">Frames</a></li>
<li><a href="DefaultsData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
